userChrome.js Scripte für den Fuchs (Diskussion)

  • userChrome.js Scripte für den Fuchs (Diskussion)


    Hier können sämtliche Fragen bei Problemen, allgemeine Fragen und sonstiges
    zu userChrome.js Scripte gestellt werden.


    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

    2 Mal editiert, zuletzt von Endor ()

  • Ach menno, meine Profile sind halt speziell.
    Wenn ich ein neues erstelle und meine Erweiterungen installiere, kann ich meinen Fuchs nicht mehr so gestalten wie ich das will.
    CTR scheint mir dabei das größte Hindernis.
    Wenn ich die Ansicht vor dem Installieren der Erweiterungen und der Scripts anpasse. Ist diese nach der Installation wieder perdü..
    Klaro habe ich auch im Anpassen-Fenster und der Nav-Bar nachgesehen, wobei letztere hier nicht mehr erscheint.. weil ausgeblendet.
    Ich benötige eigentlich nur den Code, damit die Buttons in der ctr-addonbar erscheinen.. :)

  • Die sind doch frei verschiebbar.
    Also Navbar einblenden, dann über Anpassen verschieben.
    Das schaffst Du schon. :wink:
    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Zitat von Boersenfeger

    Klaro habe ich auch im Anpassen-Fenster und der Nav-Bar nachgesehen...
    Ich benötige eigentlich nur den Code, damit die Buttons in der ctr-addonbar erscheinen.. :)

  • Suche im Script diese Zeile:

    Code
    1. defaultArea : CustomizableUI.AREA_NAVBAR,


    und ändere so:

    Code
    1. //defaultArea : CustomizableUI.AREA_NAVBAR,


    speichern und Firefox neu starten, dabei den Scriptcache löschen
    nun müsstest Du die Buttons im Anpassenfenster finden.
    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Im ExtensionsOptionsMenu-Script befindet sich ein Tippfehler:

    Zitat

    [Zeile12] Mittelklick: Firefox neustarten und sofern installiert DOM & Element Inspector Erweiterung aktivieren / deaktivieren

  • Danke.
    Da waren noch ein paar Tippfehler mehr. Auweia....
    Gehe das Teil nochmal in ruhe durch. Später sende ich das Script dann Mithrandir zum hoch laden.
    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

    Einmal editiert, zuletzt von Endor ()

  • // Is wie beim Wahlstimmen auszählen. Gründlichkeit geht vor Schnelligkeit... :mrgreen:

  • Du verwendest ein anderes Theme.
    Da wird das Fenster zu schmal.
    Mal sehen...
    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Hallo Büssen.
    Suche im Script diese Zeile, bei mir Zeile 84:

    Code
    1. style: "max-width: 420px;"


    und ändere den Wert von 420 auf 470px.


    Dann mal testen. Firefox also neu starten und dabei den Scriptcache löschen.
    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Vielleicht sollte man min-width statt max-width verwenden, so dass sich das Fenster automatisch vergrößert, wenn der Platz nicht reicht?

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice und WordPress

  • Werde ich gleich mal testen.
    Danke!
    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Zitat von Endor

    Hallo Büssen.
    ..........Dann mal testen. Firefox also neu starten und dabei den Scriptcache löschen.


    Das war wieder der richtige Wegweiser - so passt es!!


    Zitat von Endor

    Du verwendest ein anderes Theme.


    Ja, ich verwende schon länger Noia 3.1.1 (gefällt mir) - Silvermel macht sich ja fast bei jedem Update aus dem Staub.
    Hast Du da auch eine Lösung parat??

  • // Silvermel leider nein. Verwende ich schon eine Weile nicht mehr.
    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Habe gerade mal eine Suche gestartet - Silvermel 1.6.0pre_r6441 wurde im April von Bird eingestellt.
    Habe die mal installiert - nun kann ich ja bei Bedarf mal wechseln.

  • //In Itinere - Metal und einige CSS Codes.
    Das reicht mir.
    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:70.0) Gecko/20100101
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:71.0) Gecko/Firefox/71.0a1

    OS: Windows 7 H. P. 64 Bit
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Endor - da warst du wieder schneller als ein Blitz.
    Hatte inzwischen meine Frage nach Deinem Theme wieder gelöscht - da ich in es ja viel einfacher in Deiner Version Info nachlesen konnte. :oops: